<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
          crossorigin="anonymous">
    <meta charset="UTF-8">
    <title>[[${pageTitle}]]</title>
</head>
<body>

<div class="container-fluid ">
    <div class="text-center"><h2>[[${pageTitle}]]</h2></div>

    <form th:action="@{/users/save}" method="post" th:object="${user}"
          style="max-width: 500px; margin: 0 auto;">
        <input type="hidden" th:field="*{id}" >
        <div class="border border-secondary rounded p-3">
            <div class="form-group row">
                <label class="col-sm-4 col-form-label">E-mail:</label>
                <div class="col-sm-8">
                    <input type="email" th:field="*{email}" class="form-control" required minlength="8" maxlength="45"/>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-sm-4 col-form-label">First Name:</label>
                <div class="col-sm-8">
                    <input type="text" th:field="*{firstName}" class="form-control" required minlength="2"
                           maxlength="45"/>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-sm-4 col-form-label">Last Name:</label>
                <div class="col-sm-8">
                    <input type="text" th:field="*{lastName}" class="form-control" required maxlength="45"/>
                </div>
            </div>

            <div class="form-group row">
                <label class="col-sm-4 col-form-label">Password:</label>
                <div class="col-sm-8">
                    <input type="password" th:field="*{password}" class="form-control"/>
                </div>
            </div>
            <div class="text-center">
                <button type="submit" class="btn btn-primary m-2" onclick="saveform()">Save</button>
                <button type="button" class="btn btn-secondary m-2" onclick="cancelform()">Cancel</button>


            </div>


        </div>
    </form>


</div>
</body>
<script type="text/javascript">
    function cancelform() {
        window.location = "/users";
    }

</script>


</html>